Name:           joni
Version:        1.0.2
Release:        4%{?dist}
Summary:        Java regular expression library
Group:          Development/Libraries
License:        MIT
URL:            http://jruby.codehaus.org/
# The source for this package was pulled from upstream's vcs. Use the
# following commands to generate the tarball:
#   svn export http://svn.codehaus.org/jruby/joni/tags/1.0.2/ joni-1.0.2
#   tar -cjf joni-1.0.2.tar.bz2 joni-1.0.2
Source0:        %{name}-%{version}.tar.bz2
Patch0:         joni-set-java-5_0-target-and-source.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  java-devel >= 1.5
BuildRequires:  ant
BuildRequires:  jpackage-utils
BuildRequires:  java-gcj-compat-devel >= 1.0.31
Requires:       java >= 1.5
Requires:       jpackage-utils
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31

%description
joni is a port of Oniguruma, a regular expressions library,
to java. It is used by jruby.


%prep
%setup -q
%patch0 -p0


%build
ant build


%install
rm -rf %{buildroot}

# jars
install -d -m 755 %{buildroot}%{_javadir}
# install unversioned jar as per Java Packaging Guidelines
install -m 644 target/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar

%{_bindir}/aot-compile-rpm


%post
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi


%postun
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc pom.xml
%{_javadir}/%{name}.jar
%{_libdir}/gcj/%{name}


%changelog
* Sat Apr 5 2008 Conrad Meyer <konrad@tylerc.org> - 1.0.2-4
- Compile AOT bits.

* Sun Mar 16 2008 Conrad Meyer <konrad@tylerc.org> - 1.0.2-3
- Bump to 1.0.2.
- Add pom.xml to doc.
- Install unversioned jar.

* Sun Mar 2 2008 Conrad Meyer <konrad@tylerc.org> - 1.0.1-2
- joni is MIT, not BSD.
- Require java and BuildRequire java-devel, not icedtea.

* Sun Mar 2 2008 Conrad Meyer <konrad@tylerc.org> - 1.0.1-1
- Initial package.
